Description

First version of the telephone format viewhelper.
Have a look at the file; the code is quite straightforward.

What I'm curious about is a nice way to implement a way
for localized formats of phone numbers.

In other words: The syntax/format of a phone number varies
from country to country, so there could be maybe a way to
have default "presets" of the function's arguments for
every country or something. Especially thinking about
the 'segmentSeparator' and 'directDialNumberSeparator', etc.
(Maybe even for the segmentLength and the countryCodePrefix.)

Please give feedback! =o)

History
#1 - 2010-07-13 08:39 - Sebastian Kurfuerst

Hey, you are now member of the Incubator Project, so feel free to commit it to the Incubator :-)

Greets,
Sebastian

#2 - 2010-07-13 21:33 - Thomas Deinhamer

Thanks!

Not sure how to do that,
I'm not that experienced with SVN.

Do I need to checkout a working copy?

And what's a bit weird, I can't browse
the SVN repository; there are no viewhelpers yet.

And when am I allowed to add the viewhelpers?
I need some +1, no? :>
#3 - 2010-07-20 02:00 - Thomas Deinhamer

I'll add a new version soon, hopefully I have "phoneword convertion" in, by then.

#4 - 2010-07-21 00:02 - Thomas Deinhamer
- File TelephoneNumberViewHelper.php added

Added a new version which includes some bugfixes and some minor changes/features.
The new version can convert phonewords too.

#5 - 2010-07-24 11:52 - Thomas Deinhamer

Hello!

Any feedback on the new version?
Btw. am I allowed to submit any viewhelpers
I want, to the repository, or do I need an
"Accepted" or anything else to be allowed to submit?

Thanks!

#6 - 2011-07-25 19:58 - Bastian Waidelich
- Tracker changed from Feature to Suggestion

Files
TelephoneNumberViewHelper.php 4.2 kB 2010-07-12 Thomas Deinhamer
TelephoneNumberViewHelper.php 5.2 kB 2010-07-21 Thomas Deinhamer
